package com.heyu.api.data.service.device;
/**
* <p>
* 工厂信息表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.device.DeviceProductFactoryInfoEntity;
public interface DeviceProductFactoryInfoService extends IService<DeviceProductFactoryInfoEntity> {



	DeviceProductFactoryInfoEntity selectDeviceProductFactoryInfoById(Long id);


	Long insertDeviceProductFactoryInfo(DeviceProductFactoryInfoEntity deviceProductFactoryInfo);


	Long insertOrUpdateDeviceProductFactoryInfo(DeviceProductFactoryInfoEntity deviceProductFactoryInfo);


	int updateDeviceProductFactoryInfoById(DeviceProductFactoryInfoEntity deviceProductFactoryInfo);


	int updateCoverDeviceProductFactoryInfoById(DeviceProductFactoryInfoEntity deviceProductFactoryInfo);


	int deleteDeviceProductFactoryInfoById(Long id);


}